Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

# Class ByResourceGroupProvider

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.AbstractDifferenceGroupProvider
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.ByResourceGroupProvider

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `IDifferenceGroupProvider`, `IDifferenceGroupProvider2`

public class ByResourceGroupProvider extends AbstractDifferenceGroupProvider
This implementation of a `IDifferenceGroupProvider` will be used to group the differences by their Resource.

Since:
  4.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ByResourceGroupProvider.ResourceGroup`
Specialized `BasicDifferenceGroupImpl` for Resources.

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider

`IDifferenceGroupProvider.ComparisonType, IDifferenceGroupProvider.Descriptor`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.AbstractDifferenceGroupProvider

`activeByDefault, label`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`ByResourceGroupProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected Collection<? extends IDifferenceGroup>`
`buildGroups(Comparison comparison2)`
Builds the groups for this comparison.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.AbstractDifferenceGroupProvider

`defaultSelected, dispose, getComparison, getCrossReferenceAdapter, getGroups, getLabel, getTreeNodes, groupsAreBuilt, isAdapterForType, isEnabled, setDefaultSelected, setLabel`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, notifyChanged, setTarget`

## Constructor Details

### ByResourceGroupProvider

public ByResourceGroupProvider()

## Method Details

### buildGroups

protected Collection<? extends IDifferenceGroup> buildGroups(Comparison comparison2)
Builds the groups for this comparison. The framework expects that all groups are fully initialized ( their sub tree should be built). Extending `IDifferenceGroupProvider2` needs to override this method to provid groups.

Overrides:
  `buildGroups` in class `AbstractDifferenceGroupProvider`
Parameters:
  `comparison2` - comparison against which the groups will be built.
Returns:
  Newly built collections of `IDifferenceGroup`.
See Also:
  - `org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.AbstractBuildingDifferenceGroupProvider#buildGroups(org.eclipse.emf.compare.Comparison)`